com.holonplatform.vaadin.components.builders

## Enum ItemListingBuilder.ColumnHeaderMode

- java.lang.Object
- - java.lang.Enum<ItemListingBuilder.ColumnHeaderMode>
  - - com.holonplatform.vaadin.components.builders.ItemListingBuilder.ColumnHeaderMode

- All Implemented Interfaces:
    Serializable, Comparable<ItemListingBuilder.ColumnHeaderMode>
  Enclosing interface:
    ItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,C,B,X>,X extends com.vaadin.ui.Component>

      public static enum ItemListingBuilder.ColumnHeaderMode
      extends Enum<ItemListingBuilder.ColumnHeaderMode>

  Grid column header mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTML` Display column header as HTML
    `TEXT` Display column header as simple text

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemListingBuilder.ColumnHeaderMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemListingBuilder.ColumnHeaderMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final ItemListingBuilder.ColumnHeaderMode TEXT

      Display column header as simple text

    - #### HTML

          public static final ItemListingBuilder.ColumnHeaderMode HTML

      Display column header as HTML

  - ### Method Detail

    - #### values

          public static ItemListingBuilder.ColumnHeaderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemListingBuilder.ColumnHeaderMode c : ItemListingBuilder.ColumnHeaderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemListingBuilder.ColumnHeaderMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.